Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network252.2.192.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
252.2.192.0
Broadcast address
252.2.207.255
First usable
252.2.192.1
Last usable
252.2.207.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FC02C000 · Integer 4228038656 to 4228042751
Reverse DNS zones
192.2.252.in-addr.arpa
193.2.252.in-addr.arpa
194.2.252.in-addr.arpa
195.2.252.in-addr.arpa
196.2.252.in-addr.arpa
197.2.252.in-addr.arpa
198.2.252.in-addr.arpa
199.2.252.in-addr.arpa
200.2.252.in-addr.arpa
201.2.252.in-addr.arpa
202.2.252.in-addr.arpa
203.2.252.in-addr.arpa
204.2.252.in-addr.arpa
205.2.252.in-addr.arpa
206.2.252.in-addr.arpa
207.2.252.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111100.00000010.11000000.00000000252.2.192.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11111100.00000010.11000000.00000000252.2.192.0
Broadcast11111100.00000010.11001111.11111111252.2.207.255
Split into smaller subnets/27

252.2.192.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1252.2.192.0/27252.2.192.1 to 252.2.192.30252.2.192.3130
2252.2.192.32/27252.2.192.33 to 252.2.192.62252.2.192.6330
3252.2.192.64/27252.2.192.65 to 252.2.192.94252.2.192.9530
4252.2.192.96/27252.2.192.97 to 252.2.192.126252.2.192.12730
5252.2.192.128/27252.2.192.129 to 252.2.192.158252.2.192.15930
6252.2.192.160/27252.2.192.161 to 252.2.192.190252.2.192.19130
7252.2.192.192/27252.2.192.193 to 252.2.192.222252.2.192.22330
8252.2.192.224/27252.2.192.225 to 252.2.192.254252.2.192.25530
9252.2.193.0/27252.2.193.1 to 252.2.193.30252.2.193.3130
10252.2.193.32/27252.2.193.33 to 252.2.193.62252.2.193.6330
11252.2.193.64/27252.2.193.65 to 252.2.193.94252.2.193.9530
12252.2.193.96/27252.2.193.97 to 252.2.193.126252.2.193.12730
13252.2.193.128/27252.2.193.129 to 252.2.193.158252.2.193.15930
14252.2.193.160/27252.2.193.161 to 252.2.193.190252.2.193.19130
15252.2.193.192/27252.2.193.193 to 252.2.193.222252.2.193.22330
16252.2.193.224/27252.2.193.225 to 252.2.193.254252.2.193.25530
17252.2.194.0/27252.2.194.1 to 252.2.194.30252.2.194.3130
18252.2.194.32/27252.2.194.33 to 252.2.194.62252.2.194.6330
19252.2.194.64/27252.2.194.65 to 252.2.194.94252.2.194.9530
20252.2.194.96/27252.2.194.97 to 252.2.194.126252.2.194.12730
21252.2.194.128/27252.2.194.129 to 252.2.194.158252.2.194.15930
22252.2.194.160/27252.2.194.161 to 252.2.194.190252.2.194.19130
23252.2.194.192/27252.2.194.193 to 252.2.194.222252.2.194.22330
24252.2.194.224/27252.2.194.225 to 252.2.194.254252.2.194.25530
25252.2.195.0/27252.2.195.1 to 252.2.195.30252.2.195.3130
26252.2.195.32/27252.2.195.33 to 252.2.195.62252.2.195.6330
27252.2.195.64/27252.2.195.65 to 252.2.195.94252.2.195.9530
28252.2.195.96/27252.2.195.97 to 252.2.195.126252.2.195.12730
29252.2.195.128/27252.2.195.129 to 252.2.195.158252.2.195.15930
30252.2.195.160/27252.2.195.161 to 252.2.195.190252.2.195.19130
31252.2.195.192/27252.2.195.193 to 252.2.195.222252.2.195.22330
32252.2.195.224/27252.2.195.225 to 252.2.195.254252.2.195.25530
33252.2.196.0/27252.2.196.1 to 252.2.196.30252.2.196.3130
34252.2.196.32/27252.2.196.33 to 252.2.196.62252.2.196.6330
35252.2.196.64/27252.2.196.65 to 252.2.196.94252.2.196.9530
36252.2.196.96/27252.2.196.97 to 252.2.196.126252.2.196.12730
37252.2.196.128/27252.2.196.129 to 252.2.196.158252.2.196.15930
38252.2.196.160/27252.2.196.161 to 252.2.196.190252.2.196.19130
39252.2.196.192/27252.2.196.193 to 252.2.196.222252.2.196.22330
40252.2.196.224/27252.2.196.225 to 252.2.196.254252.2.196.25530
41252.2.197.0/27252.2.197.1 to 252.2.197.30252.2.197.3130
42252.2.197.32/27252.2.197.33 to 252.2.197.62252.2.197.6330
43252.2.197.64/27252.2.197.65 to 252.2.197.94252.2.197.9530
44252.2.197.96/27252.2.197.97 to 252.2.197.126252.2.197.12730
45252.2.197.128/27252.2.197.129 to 252.2.197.158252.2.197.15930
46252.2.197.160/27252.2.197.161 to 252.2.197.190252.2.197.19130
47252.2.197.192/27252.2.197.193 to 252.2.197.222252.2.197.22330
48252.2.197.224/27252.2.197.225 to 252.2.197.254252.2.197.25530
49252.2.198.0/27252.2.198.1 to 252.2.198.30252.2.198.3130
50252.2.198.32/27252.2.198.33 to 252.2.198.62252.2.198.6330
51252.2.198.64/27252.2.198.65 to 252.2.198.94252.2.198.9530
52252.2.198.96/27252.2.198.97 to 252.2.198.126252.2.198.12730
53252.2.198.128/27252.2.198.129 to 252.2.198.158252.2.198.15930
54252.2.198.160/27252.2.198.161 to 252.2.198.190252.2.198.19130
55252.2.198.192/27252.2.198.193 to 252.2.198.222252.2.198.22330
56252.2.198.224/27252.2.198.225 to 252.2.198.254252.2.198.25530
57252.2.199.0/27252.2.199.1 to 252.2.199.30252.2.199.3130
58252.2.199.32/27252.2.199.33 to 252.2.199.62252.2.199.6330
59252.2.199.64/27252.2.199.65 to 252.2.199.94252.2.199.9530
60252.2.199.96/27252.2.199.97 to 252.2.199.126252.2.199.12730
61252.2.199.128/27252.2.199.129 to 252.2.199.158252.2.199.15930
62252.2.199.160/27252.2.199.161 to 252.2.199.190252.2.199.19130
63252.2.199.192/27252.2.199.193 to 252.2.199.222252.2.199.22330
64252.2.199.224/27252.2.199.225 to 252.2.199.254252.2.199.25530
65252.2.200.0/27252.2.200.1 to 252.2.200.30252.2.200.3130
66252.2.200.32/27252.2.200.33 to 252.2.200.62252.2.200.6330
67252.2.200.64/27252.2.200.65 to 252.2.200.94252.2.200.9530
68252.2.200.96/27252.2.200.97 to 252.2.200.126252.2.200.12730
69252.2.200.128/27252.2.200.129 to 252.2.200.158252.2.200.15930
70252.2.200.160/27252.2.200.161 to 252.2.200.190252.2.200.19130
71252.2.200.192/27252.2.200.193 to 252.2.200.222252.2.200.22330
72252.2.200.224/27252.2.200.225 to 252.2.200.254252.2.200.25530
73252.2.201.0/27252.2.201.1 to 252.2.201.30252.2.201.3130
74252.2.201.32/27252.2.201.33 to 252.2.201.62252.2.201.6330
75252.2.201.64/27252.2.201.65 to 252.2.201.94252.2.201.9530
76252.2.201.96/27252.2.201.97 to 252.2.201.126252.2.201.12730
77252.2.201.128/27252.2.201.129 to 252.2.201.158252.2.201.15930
78252.2.201.160/27252.2.201.161 to 252.2.201.190252.2.201.19130
79252.2.201.192/27252.2.201.193 to 252.2.201.222252.2.201.22330
80252.2.201.224/27252.2.201.225 to 252.2.201.254252.2.201.25530
81252.2.202.0/27252.2.202.1 to 252.2.202.30252.2.202.3130
82252.2.202.32/27252.2.202.33 to 252.2.202.62252.2.202.6330
83252.2.202.64/27252.2.202.65 to 252.2.202.94252.2.202.9530
84252.2.202.96/27252.2.202.97 to 252.2.202.126252.2.202.12730
85252.2.202.128/27252.2.202.129 to 252.2.202.158252.2.202.15930
86252.2.202.160/27252.2.202.161 to 252.2.202.190252.2.202.19130
87252.2.202.192/27252.2.202.193 to 252.2.202.222252.2.202.22330
88252.2.202.224/27252.2.202.225 to 252.2.202.254252.2.202.25530
89252.2.203.0/27252.2.203.1 to 252.2.203.30252.2.203.3130
90252.2.203.32/27252.2.203.33 to 252.2.203.62252.2.203.6330
91252.2.203.64/27252.2.203.65 to 252.2.203.94252.2.203.9530
92252.2.203.96/27252.2.203.97 to 252.2.203.126252.2.203.12730
93252.2.203.128/27252.2.203.129 to 252.2.203.158252.2.203.15930
94252.2.203.160/27252.2.203.161 to 252.2.203.190252.2.203.19130
95252.2.203.192/27252.2.203.193 to 252.2.203.222252.2.203.22330
96252.2.203.224/27252.2.203.225 to 252.2.203.254252.2.203.25530
97252.2.204.0/27252.2.204.1 to 252.2.204.30252.2.204.3130
98252.2.204.32/27252.2.204.33 to 252.2.204.62252.2.204.6330
99252.2.204.64/27252.2.204.65 to 252.2.204.94252.2.204.9530
100252.2.204.96/27252.2.204.97 to 252.2.204.126252.2.204.12730
101252.2.204.128/27252.2.204.129 to 252.2.204.158252.2.204.15930
102252.2.204.160/27252.2.204.161 to 252.2.204.190252.2.204.19130
103252.2.204.192/27252.2.204.193 to 252.2.204.222252.2.204.22330
104252.2.204.224/27252.2.204.225 to 252.2.204.254252.2.204.25530
105252.2.205.0/27252.2.205.1 to 252.2.205.30252.2.205.3130
106252.2.205.32/27252.2.205.33 to 252.2.205.62252.2.205.6330
107252.2.205.64/27252.2.205.65 to 252.2.205.94252.2.205.9530
108252.2.205.96/27252.2.205.97 to 252.2.205.126252.2.205.12730
109252.2.205.128/27252.2.205.129 to 252.2.205.158252.2.205.15930
110252.2.205.160/27252.2.205.161 to 252.2.205.190252.2.205.19130
111252.2.205.192/27252.2.205.193 to 252.2.205.222252.2.205.22330
112252.2.205.224/27252.2.205.225 to 252.2.205.254252.2.205.25530
113252.2.206.0/27252.2.206.1 to 252.2.206.30252.2.206.3130
114252.2.206.32/27252.2.206.33 to 252.2.206.62252.2.206.6330
115252.2.206.64/27252.2.206.65 to 252.2.206.94252.2.206.9530
116252.2.206.96/27252.2.206.97 to 252.2.206.126252.2.206.12730
117252.2.206.128/27252.2.206.129 to 252.2.206.158252.2.206.15930
118252.2.206.160/27252.2.206.161 to 252.2.206.190252.2.206.19130
119252.2.206.192/27252.2.206.193 to 252.2.206.222252.2.206.22330
120252.2.206.224/27252.2.206.225 to 252.2.206.254252.2.206.25530
121252.2.207.0/27252.2.207.1 to 252.2.207.30252.2.207.3130
122252.2.207.32/27252.2.207.33 to 252.2.207.62252.2.207.6330
123252.2.207.64/27252.2.207.65 to 252.2.207.94252.2.207.9530
124252.2.207.96/27252.2.207.97 to 252.2.207.126252.2.207.12730
125252.2.207.128/27252.2.207.129 to 252.2.207.158252.2.207.15930
126252.2.207.160/27252.2.207.161 to 252.2.207.190252.2.207.19130
127252.2.207.192/27252.2.207.193 to 252.2.207.222252.2.207.22330
128252.2.207.224/27252.2.207.225 to 252.2.207.254252.2.207.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses